{% load widget_tweaks %}
<!-- Start deneb_contact section -->
<section class="deneb_contact cantact_v2 section_padding">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="section_title">
                    <h2>Send us a message</h2>
                    <p>When unknow printer took a gallery of type and scramblted it to make a type specimen book</p>
                </div>
                <div class="contact_form">

                    {% if messages %}
                        <ul class="messages">
                            {% for message in messages %}
                            <div class="alert alert-{{ message.tags }}" role="alert">
                                {{ message }}
                            </div>
                            {% endfor %}
                        </ul>
                    {% endif %}
                    
                    {% for hidden in form.hidden_fields %}
                        {{ hidden }}
                    {% endfor %}

                    <form method="POST" id="captchaForm" action="{% url 'pages:contact' %}">
                        <div class="row">
                            {% csrf_token %}
                            <input type="hidden" name="g-recaptcha-response" id='recaptcha'>
                            
                            {% for field in form.visible_fields %}
                                {% if forloop.last %}
                                    <div class="col-lg-12">
                                        <div class="form_group">
                                            {% render_field field class="form_control" placeholder=field.label %}

                                            {% for error in field.errors %}
                                                <div class="alert alert-danger" role="alert" style="margin-top: 20px;">
                                                    {{ error }}
                                                </div>
                                            {% endfor %}
                                        </div>
                                    </div>
                                {% else %}
                                    <div class="col-lg-6">
                                        <div class="form_group">
                                            {% render_field field class="form_control" placeholder=field.label %}

                                            {% for error in field.errors %}
                                                <div class="alert alert-danger" role="alert" style="margin-top: 20px;">
                                                    {{ error }}
                                                </div>
                                            {% endfor %}
                                        </div>
                                    </div>
                                {% endif %}
                            {% endfor %}

                            <div class="col-lg-12">
                                <div class="button_box">
                                    <button type="submit" class="deneb_btn">Submit Now</button>
                                </div>
                            </div>
                        </div>

                    </form>

                </div>
            </div>
        </div>
    </div>
</section>
<!-- End deneb_contact section -->
<!-- Start deneb_map section -->
<!-- <section class="deneb_map">
    <div class="map_box">
        <iframe src="{{ site.map }}"></iframe>
    </div>
</section> -->